Skip to content

Locations

All operations require authentication.

2 operationsv2/location · /location/{name}
Agent setup

List available regions and their availability zonesProduction

GET
/v2/location

Query parameters

availabilityZone
string

Filter by availability zone. Returns locations having this availability zone.

cityCode
string

Filter by city ISO code

cityName
string

Filter by city name

code
string

Filter by region code

countryCode
string

Filter by country ISO code

countryName
string

Filter by country name

datacenter
string

Filter by datacenter

geographyCode
string

Filter by geography code

geographyName
string

Filter by geography name

ids
integer[]

Filter by region IDs

language
LanguageEnum

Locale name for translation

Valuescs_CZde_DEen_ASen_AUen_CAen_GBen_IEen_INen_SGen_USen_WWes_ESes_SAfi_FIfr_CAfr_FRfr_MAfr_SNfr_TNit_ITlt_LTnl_NLpl_PLpt_PT
location
string

Filter by region location

name
string

Filter by region name

services
ServicesEnum

Filter by services. Returns locations having at least one of the services in the list.

ValuesOCCPEERING
specificType
SpecificTypeEnum

Filter by specific region type

ValuesBACKUPLZSNCSTANDARD
status
StatusEnum

Filter by status

ValuesNON_OPERATIONALOPERATIONAL
type
TypeEnum

Filter by general region type

ValuesLOCAL-ZONEREGION-1-AZREGION-3-AZ
withNonOperational
boolean

also return NON_OPERATIONAL regions that are planned

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Location[]successful operation
availabilityZoneDatacenters
read-only
object

List of datacenters by availability zone

availabilityZones
read-only
string[]

List of availability zones for the region

cardinalPoint
read-only
string

Localized cardinal direction where the region is located. The value depends on the language query parameter.

cityCode
read-only
string

ISO code of the city

cityLatitude
read-only
number

Geographical latitude of the city

cityLongitude
read-only
number

Geographical longitude of the city

cityName
read-only
string

Full name of the city

code
read-only
string

Region's short code

countryCode
read-only
string

ISO code of the country

countryName
read-only
string

Full name of the country

geographyCode
read-only
string

Short code representing the geographical area

geographyName
read-only
string

Name of the geographical area

location
read-only
string

Location of the region

name
read-only
string

Name of the region

openingYear
read-only
integer

Year the region was opened

services
read-only
ServicesEnum[]

List of services available in the region

ValuesOCCPEERING
specificType
read-only
SpecificTypeEnum

Specific typology of the region

ValuesBACKUPLZSNCSTANDARD
status
read-only
StatusEnum

Operational status of the region

ValuesNON_OPERATIONALOPERATIONAL
type
read-only
TypeEnum

General typology of the region

ValuesLOCAL-ZONEREGION-1-AZREGION-3-AZ

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/location \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "availabilityZoneDatacenters": { "key": [ "string" ] }, "availabilityZones": [ "string" ], "cardinalPoint": "string", "cityCode": "string", "cityLatitude": 0, "cityLongitude": 0, "cityName": "string", "code": "string", "countryCode": "string", "countryName": "string", "geographyCode": "string", "geographyName": "string", "location": "string", "name": "string", "openingYear": 0, "services": [ "OCC" ], "specificType": "BACKUP", "status": "NON_OPERATIONAL", "type": "LOCAL-ZONE" }]

Get available region and its availability zonesProduction

GET
/v2/location/{name}

Path parameters

name
required
string

Name

Response

200Locationsuccessful operation
availabilityZoneDatacenters
read-only
object

List of datacenters by availability zone

availabilityZones
read-only
string[]

List of availability zones for the region

cardinalPoint
read-only
string

Localized cardinal direction where the region is located. The value depends on the language query parameter.

cityCode
read-only
string

ISO code of the city

cityLatitude
read-only
number

Geographical latitude of the city

cityLongitude
read-only
number

Geographical longitude of the city

cityName
read-only
string

Full name of the city

code
read-only
string

Region's short code

countryCode
read-only
string

ISO code of the country

countryName
read-only
string

Full name of the country

geographyCode
read-only
string

Short code representing the geographical area

geographyName
read-only
string

Name of the geographical area

location
read-only
string

Location of the region

name
read-only
string

Name of the region

openingYear
read-only
integer

Year the region was opened

services
read-only
ServicesEnum[]

List of services available in the region

ValuesOCCPEERING
specificType
read-only
SpecificTypeEnum

Specific typology of the region

ValuesBACKUPLZSNCSTANDARD
status
read-only
StatusEnum

Operational status of the region

ValuesNON_OPERATIONALOPERATIONAL
type
read-only
TypeEnum

General typology of the region

ValuesLOCAL-ZONEREGION-1-AZREGION-3-AZ

Example uses name = string

$ curl https://api.eu.ovhcloud.com/v2/location/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availabilityZoneDatacenters": { "key": [ "string" ] }, "availabilityZones": [ "string" ], "cardinalPoint": "string", "cityCode": "string", "cityLatitude": 0, "cityLongitude": 0, "cityName": "string", "code": "string", "countryCode": "string", "countryName": "string", "geographyCode": "string", "geographyName": "string", "location": "string", "name": "string", "openingYear": 0, "services": [ "OCC" ], "specificType": "BACKUP", "status": "NON_OPERATIONAL", "type": "LOCAL-ZONE"}